
TYPO3.Neos - Bug # 59452

Status: Resolved Priority: Should have
Author: Carsten Bleicker Category:
Created: 2014-06-10 Assigned To:
Updated: 2014-06-20 Due date:
Subject: HTML Panel isnt getting closed on page change
Description

If you have an opened html panel and navigate to another page
the html panel stays open.

Related issues:
duplicates TYPO3.Neos - Bug # 58183: HTML editor and Media window should clos... Resolved 2014-04-25

Associated revisions
Revision c30d2f0d - 2014-06-20 19:52 - Christian Müller

[BUGFIX] Secondary Inspector Panel should close on changed node

Secondary inspector panels are used for additional editors that
do not fit the inspector like the HTML editor or the media
selector. The secondary panel should close when the selected
node changes (for example by changing the page).

Change-Id: If4101e9d40467864bb78bb33fc69087179cbd1ce
Fixes: #59452
Relates: NEOS-124
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30931
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision e9337e4e - 2014-06-20 19:52 - Christian Müller

[BUGFIX] Secondary Inspector Panel should close on changed node

Secondary inspector panels are used for additional editors that
do not fit the inspector like the HTML editor or the media
selector. The secondary panel should close when the selected
node changes (for example by changing the page).

Change-Id: If4101e9d40467864bb78bb33fc69087179cbd1ce
Fixes: #59452
Relates: NEOS-124
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/30931
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
(cherry picked from commit c30d2f0d797e9639c22092963567274213dfcc81)
Reviewed-on: https://review.typo3.org/30956

2015-08-04 1/2

https://review.typo3.org/30931
https://review.typo3.org/30931
https://review.typo3.org/30956


History
#1 - 2014-06-20 16:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/30931

#2 - 2014-06-20 16:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/30931

#3 - 2014-06-20 19:51 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/30931

#4 - 2014-06-20 19:52 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/30956

#5 - 2014-06-20 20:37 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e9337e4e8aadb5141087f3c552ab0e261a9ceaea.
